Slony-I REL_1_1_0 Documentation
Prev | Fast Backward | Chapter 1. Schema schemadoc | Fast Forward | Next

# 1.72. sequencelastvalue( text )

Function Properties

Language: PLPGSQL

Return Type: bigint

    declare
    	p_seqname	alias for $1;
    	v_seq_row	record;
    begin
    	for v_seq_row in execute 'select last_value from ' || p_seqname
    	loop
    		return v_seq_row.last_value;
    	end loop;

    	-- not reached
    end;

Prev | Home | Next
rebuildlistenentriesone( integer, integer ) | Up | sequencesetvalue( integer, integer, bigint, bigint )